s-toaster {
    position: fixed;
    top: 0px;
    height: 80vh;

    left: calc(50% - 275px);
    width: 550px;

    z-index: 1000;
    pointer-events: none;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    overflow: hidden;
}

s-toast {
    box-sizing: border-box;
    position: relative;

    width: calc(100% - 2rem);
    margin-left: 1rem;
    padding: 10px;

    background-color: #e8e9c5;
    border: 1px solid #b2b47f;
    border-radius: 15px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.7);

    overflow: hidden;

    pointer-events: auto;

    cursor: pointer;

    display: grid;
    grid-template-columns: 0fr 1fr;

    margin-bottom: -800px;
    opacity: 0;

    span.icon {
        margin-right: 1rem;
    }

    span {
        pointer-events: none;
    }

    span.title {
        display: block;
        font-weight: bold;
        margin-right: 1rem;
    }

    &.info {
        background-color: #cce5ff;
        border-color: #b8daff;
    }

    &.success {
        background-color: #d4edda;
        border-color: #c3e6cb;
    }

    &.error {
        background-color: var(--color-gold-lighter);
        border-color: #f5c6cb;
    }

    &.show {
        opacity: 1 ;
        margin-bottom: 10px;
        transition: margin-bottom 0.5s ease-in-out, opacity 0.8s ease-in-out;
    }

    &.fade {
        opacity: 0;
        transition: opacity .5s ease-in-out;
    }

}

@media only screen and (max-width: 580px) {
    s-toaster {
        left: 10vw;
        width: 80vw;
    }
}